/** @param {jQuery} $ jQuery Object */
!function($, window, document, _undefined)
{
	XenForo.MarkThreadRead = function($link)
	{
		$link.click(function(e)
		{		
			e.preventDefault();
			
			XenForo.ajax(
				$link.attr('href'),
				{},
				function( ajaxData, textStatus )
				{
					$($link.data('container')).removeClass('unread'); // Removes bold texts
					$($link.data('container')).find('a.unreadLink').remove(); // Remove unread bullet link
					$($link.data('container')).find('#MarkThreadRead').remove(); // Remove 'Mark as Read' link
				}
			);
		});
	};

	// *********************************************************************

	XenForo.register('a.MarkThreadRead', 'XenForo.MarkThreadRead');

}
(jQuery, this, document);