<?php

/**
 * Extended controller for handling actions on threads.
 *
 */
class SK_MarkThreadRead_ControllerPublic_Thread extends XFCP_SK_MarkThreadRead_ControllerPublic_Thread
{
	public function actionMarkRead()
	{
		$threadId = $this->_input->filterSingle('thread_id', XenForo_Input::UINT);

		$visitor = XenForo_Visitor::getInstance();

		$markDate = $this->_input->filterSingle('date', XenForo_Input::UINT);
		if( !$markDate )
		{
			$markDate = XenForo_Application::$time;
		}
		
		$ftpHelper = $this->getHelper('ForumThreadPost');
		list($thread, $forum) = $ftpHelper->assertThreadValidAndViewable($threadId, array('readUserId' => $visitor['user_id']));

		$threadModel = $this->_getThreadModel();

		$viewingUser = array();	
		$threadModel->markThreadRead( $thread, $forum, $markDate, $viewingUser );
		
		return $this->responseRedirect(
			XenForo_ControllerResponse_Redirect::RESOURCE_UPDATED,
			$this->getDynamicRedirect()
		);
	}
}